### Constructor

# Gtk IconPaintable new_for_file

#### Declaration [src]

    GtkIconPaintable*
    gtk_icon_paintable_new_for_file (
      GFile* file,
      int size,
      int scale
    )

#### Description [src]

Creates a `GtkIconPaintable` for a file with a given size and scale.

The icon can then be rendered by using it as a `GdkPaintable`.

#### Parameters

`file` | `GFile*`
| A `GFile`.
| The data is owned by the caller of the function.
`size` | `int`
| Desired icon size.
`scale` | `int`
| The desired scale.

#### Return value

Returns: | `GtkIconPaintable`
| A `GtkIconPaintable` containing for the icon. Unref with g_object_unref().
| The caller of the function takes ownership of the data, and is responsible for freeing it.